Default language for API responses has changed

Bug #1214476 reported by Brad Pokorny on 2013-08-20
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
Fix Released
Low
Brad Pokorny
Cinder
Undecided
Luis A. Garcia
OpenStack Compute (nova)
Low
Mathew Odden
OpenStack Heat
Fix Released
Undecided
Luis A. Garcia
OpenStack Identity (keystone)
Low
Zhenguo Niu
neutron
Low
Luis A. Garcia

Bug Description

With the delayed message translation changes in oslo, if a language isn't specified in the Accept-Language header on API requests, the default language is now set to en_US. It used to default to the language of the server side if the Accept-Language header was not provided.

This behavior should be changed in the delayed message translation support to use the language of the server.

Tags: api Edit Tag help
Luis A. Garcia (luisg-8) on 2013-08-20
Changed in neutron:
assignee: nobody → Luis A. Garcia (luisg-8)
Changed in heat:
assignee: nobody → Luis A. Garcia (luisg-8)
Changed in cinder:
assignee: nobody → Luis A. Garcia (luisg-8)
Brad Pokorny (bpokorny) on 2013-08-20
Changed in ceilometer:
assignee: nobody → Brad Pokorny (bpokorny)

Fix proposed to branch: master
Review: https://review.openstack.org/42954

Changed in cinder:
status: New → In Progress
Brad Pokorny (bpokorny) on 2013-08-20
no longer affects: glance
no longer affects: oslo

Fix proposed to branch: master
Review: https://review.openstack.org/42955

Changed in heat:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/42978

Changed in neutron:
status: New → In Progress
Changed in nova:
assignee: nobody → Zhenguo Niu (niu-zglinux)
Changed in keystone:
assignee: nobody → Zhenguo Niu (niu-zglinux)

Fix proposed to branch: master
Review: https://review.openstack.org/43243

Changed in keystone:
status: New → In Progress

Reviewed: https://review.openstack.org/42954
Committed: http://github.com/openstack/cinder/commit/2672a1e24ed0ad0c189110eb04ddcba78cd48be5
Submitter: Jenkins
Branch: master

commit 2672a1e24ed0ad0c189110eb04ddcba78cd48be5
Author: Luis A. Garcia <email address hidden>
Date: Tue Aug 20 16:47:38 2013 +0000

    Use system locale when Accept-Language header is not provided

    Remove en_US as the default language when no header is provided, and use
    None instead. Upon translation None will be defaulted to system as it
    was before the translation changes.

    Fixes bug: #1214476

    Change-Id: I0fe22c526710e69ae0731e7d0b42170e6f3a8523

Changed in cinder:
status: In Progress → Fix Committed
Julien Danjou (jdanjou) on 2013-08-23
Changed in ceilometer:
status: New → Triaged
importance: Undecided → Low
Matt Riedemann (mriedem) on 2013-08-24
tags: added: api
Dolph Mathews (dolph) on 2013-08-24
Changed in keystone:
importance: Undecided → Low

Reviewed: https://review.openstack.org/42955
Committed: http://github.com/openstack/heat/commit/95bffe0d2c7adeaad99ca890a7fdbd7c18b8e72f
Submitter: Jenkins
Branch: master

commit 95bffe0d2c7adeaad99ca890a7fdbd7c18b8e72f
Author: Jenkins <email address hidden>
Date: Tue Aug 20 16:54:01 2013 +0000

    Use system locale when Accept-Language header is not provided

    Remove en_US as the default language when no header is provided, and use
    None instead. Upon translation None will be defaulted to system as it
    was before the translation changes.

    Fixes bug: #1214476

    Change-Id: I0fe22c526710e69ae0731e7d0b42170e6f3a8523

Changed in heat:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/43747

Changed in ceilometer:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/43243
Committed: http://github.com/openstack/keystone/commit/db54cf373d1a0b529cbb0790ad9dd72bb6e7700b
Submitter: Jenkins
Branch: master

commit db54cf373d1a0b529cbb0790ad9dd72bb6e7700b
Author: Zhenguo Niu <email address hidden>
Date: Thu Aug 22 13:24:03 2013 +0800

    Use system locale when Accept-Language header is not provided

    Remove en_US as the default language when no header is provided, and use
    None instead. Upon translation None will be defaulted to system as it
    was before the translation changes.

    Fixes bug: #1214476

    Change-Id: Ice7f55912a7bd6c727a7f8a2a1172871fe27a3dc

Changed in keystone:
status: In Progress → Fix Committed
Changed in nova:
assignee: Zhenguo Niu (niu-zglinux) → nobody

Reviewed: https://review.openstack.org/42978
Committed: http://github.com/openstack/neutron/commit/d46e3cd59c374b01ff379e63c18cbb16e340fb98
Submitter: Jenkins
Branch: master

commit d46e3cd59c374b01ff379e63c18cbb16e340fb98
Author: Luis A. Garcia <email address hidden>
Date: Tue Aug 20 19:16:06 2013 +0000

    Use system locale when Accept-Language header is not provided

    Remove en_US as the default language when no header is provided, and use
    None instead. Upon translation None will be defaulted to system as it
    was before the translation changes.

    Fixes bug: #1214476

    Change-Id: I0fe22c526710e69ae0731e7d0b42170e6f3a8523

Changed in neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/43747
Committed: http://github.com/openstack/ceilometer/commit/31323859c7caa03b1ccac282ffb35f4e6823c004
Submitter: Jenkins
Branch: master

commit 31323859c7caa03b1ccac282ffb35f4e6823c004
Author: Brad Pokorny <email address hidden>
Date: Mon Aug 26 18:07:25 2013 +0000

    Use system locale when Accept-Language header is not provided

    Remove en_US as the default language when no header is provided, and use
    None instead. Upon translation None will be defaulted to system as it
    was before the translation changes.

    Fixes bug 1214476

    Change-Id: Ia18ae76f9dc3c93c7d14203af6f65b916500927e

Changed in ceilometer:
status: In Progress → Fix Committed
Mathew Odden (locke105) on 2013-09-04
Changed in nova:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/45120

Changed in nova:
assignee: nobody → Mathew Odden (locke105)
status: Confirmed → In Progress
Thierry Carrez (ttx) on 2013-09-05
Changed in keystone:
milestone: none → havana-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-09-05
Changed in ceilometer:
milestone: none → havana-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-09-05
Changed in heat:
milestone: none → havana-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-09-05
Changed in cinder:
milestone: none → havana-3
status: Fix Committed → Fix Released
Changed in neutron:
milestone: none → havana-3
importance: Undecided → Low
Thierry Carrez (ttx) on 2013-09-05
Changed in neutron:
status: Fix Committed → Fix Released

I will be out of the office starting 2013-09-05 and will not return until
2013-09-15.

I will be on my marriage leave from 9/5 to 9/15, for any urgent issue
please call me before 9/7.

For daily work, please ask my scrum master Zhu Zhu for help.
For glance issue, please ask glance SME Feilong Wang for help.
For defect report, there will be no report next week.

Matt Riedemann (mriedem) on 2013-09-30
Changed in nova:
milestone: none → havana-rc1
Changed in nova:
importance: Undecided → Low

Reviewed: https://review.openstack.org/45120
Committed: http://github.com/openstack/nova/commit/bac116e29e8ce28558e530848274f56198058920
Submitter: Jenkins
Branch: master

commit bac116e29e8ce28558e530848274f56198058920
Author: Matt Odden <email address hidden>
Date: Wed Sep 4 07:43:29 2013 +0000

    Use system locale for default request language

    Remove en_US as the default language when no header is provided, and use
    None instead. Upon translation None will be defaulted to system locale
    as it was before API translation changes.

    fixes bug 1214476

    Change-Id: Ic33c94c29993ceb944d7c22d2e754cb938db7503

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-03
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in ceilometer:
milestone: havana-3 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in heat:
milestone: havana-3 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-3 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in neutron:
milestone: havana-3 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in nova:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in keystone:
milestone: havana-3 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers